Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2837773002: webkitpy: Check xvfb with xdpyinfo after starting. (Closed)

Created:
2 years, 5 months ago by mithro
Modified:
2 years, 4 months ago
CC:
blink-reviews, chromium-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

webkitpy: Check xvfb with xdpyinfo after starting. This makes sure that xvfb actually started correctly and you can connect to it. We don't use -display argument as we want to make sure the environment is correct. BUG=713597 Review-Url: https://codereview.chromium.org/2837773002 Cr-Commit-Position: refs/heads/master@{#467253} Committed: https://chromium.googlesource.com/chromium/src/+/dcdb807ced40e620460ccf56362945e6860db1ab

Patch Set 1 #

Patch Set 2 : Use a timeout instead #

Patch Set 3 : Use host for time functions #

Patch Set 4 : Fixing tests #

Unified diffs Side-by-side diffs Delta from patch set Stats (+82 lines, -2 lines) Patch
M third_party/WebKit/Tools/Scripts/webkitpy/layout_tests/port/linux.py View 1 2 3 2 chunks +15 lines, -0 lines 0 comments Download
M third_party/WebKit/Tools/Scripts/webkitpy/layout_tests/port/linux_unittest.py View 1 2 3 2 chunks +67 lines, -2 lines 0 comments Download

Messages

Total messages: 30 (24 generated)
mithro
2 years, 5 months ago (2017-04-24 06:15:05 UTC) #2
Dirk Pranke
lgtm https://codereview.chromium.org/2837773002/diff/20001/third_party/WebKit/Tools/Scripts/webkitpy/layout_tests/port/linux.py File third_party/WebKit/Tools/Scripts/webkitpy/layout_tests/port/linux.py (right): https://codereview.chromium.org/2837773002/diff/20001/third_party/WebKit/Tools/Scripts/webkitpy/layout_tests/port/linux.py#newcode51 third_party/WebKit/Tools/Scripts/webkitpy/layout_tests/port/linux.py:51: XVFB_START_TIMEOUT = 30.0 # Wait up to 30 ...
2 years, 4 months ago (2017-04-26 02:19:18 UTC) #10
mithro
Hi Dirk, PTAL. Tim 'mithro' Ansell
2 years, 4 months ago (2017-04-26 02:21:53 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2837773002/80001
2 years, 4 months ago (2017-04-26 05:06:27 UTC) #25
commit-bot: I haz the power
Committed patchset #4 (id:80001) as https://chromium.googlesource.com/chromium/src/+/dcdb807ced40e620460ccf56362945e6860db1ab
2 years, 4 months ago (2017-04-26 06:30:15 UTC) #28
qyearsley
2 years, 4 months ago (2017-05-08 17:19:47 UTC) #30
Message was sent while issue was closed.
LGTM, thanks.

I would have had a couple minor nits (nested ifs could be changed to `and`, typo
in test method name), but these are not important.

Powered by Google App Engine
This is Rietveld 408576698